/* virusScanSim.cpp simulates a virus detection program.
 *
 * Input:  the name of the input file; the string to be checked
 * Output: a message indicating whether the input string occurs
 *           in the input file
 **********************************************************************/

#include <iostream>             // cin, cout, <<, >>
#include <fstream>              // ifstream, open(), close(), eof()
#include <string>               // string, getline(), find(), NPOS
#include "Query.h"              // interactiveOpen()
using namespace std;


int main()
{
   cout << "This program searches a file for a given string.\n";

   ifstream inStream;
   interactiveOpen(inStream);
                                        // get the search string
   cout << "Enter the string being sought: ";
   string searchString;
   getline(cin, searchString);

   string lineOfText;

   for (;;)
   {
      getline(inStream, lineOfText);    // get a line from the file

      if ( inStream.eof() ) break;      // quit, if at eof
                                        //   display a "found" msg.
      if (lineOfText.find(searchString, 0) != string::npos)
         cout << "\n*** " << searchString 
              << " found in this file." << endl;
   }

   cout << "\nProcessing complete.\n";  // message to user
   inStream.close();                    // close the file
}
